Bug 168758 - the en_US .mo file from specspo garbles package descriptions
the en_US .mo file from specspo garbles package descriptions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: specspo (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
: FutureFeature
Depends On:
Blocks: 438141
  Show dependency treegraph
 
Reported: 2005-09-20 00:42 EDT by Karsten Wade
Modified: 2008-03-20 07:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0166
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 07:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2005-09-20 00:42:03 EDT
Description of problem:

The package description is a little lacking in information.  How does this sound?

"The redhat-release package contains release notes and licensing information,
and identifies the release of Red Hat Enterprise Linux."

Version-Release number of selected component (if applicable):

redhat-release-4AS-2.4
Comment 1 Mike McLean 2005-12-08 15:36:37 EST
That sounds reasonable.
Comment 6 Mike McLean 2007-01-11 14:55:49 EST
description changed in cvs
Comment 8 David Lawrence 2007-04-17 16:12:50 EDT
[dkl@devserv dkl]$ rpm -qpi
/mnt/redhat/rel-eng/RHEL4-U5-re20070414.0/tree-AS-i386/RedHat/RPMS/redhat-release-4AS-6.1.i386.rpm

Name        : redhat-release               Relocations: (not relocatable)
Version     : 4AS                               Vendor: Red Hat, Inc.
Release     : 6.1                           Build Date: Wed 11 Apr 2007 05:19:42
PM EDT
Install Date: (not installed)               Build Host: ls20-bc2-14.build.redhat.com
Group       : System Environment/Base       Source RPM:
redhat-release-4AS-6.1.src.rpm
Size        : 8004298                          License: GPL
Signature   : DSA/SHA1, Fri 13 Apr 2007 05:46:48 PM EDT, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Red Hat Enterprise Linux release file.
Description :
The redhat-release package identifies the release of Red Hat Enterprise Linux.

Is there supposed to be a more detailed description here?
Comment 11 Stepan Kasal 2007-08-10 03:07:47 EDT
reassignn to me
Comment 12 Stepan Kasal 2007-11-05 15:22:55 EST
Indeed, C.po, which is the source for en_US.mo maps the new description to the
old string.
I believe that en_US.mo should be an identity mapping, which is best achieved by
nuking the en_US.mo file altogether.
This is an easy fix.
Comment 16 Stepan Kasal 2008-03-17 13:15:56 EDT
Oops, the en_US catalogue cannot be removed, it would trigger bug #436941.

Instead, I have removed the redhat-release description texts from the en_US
catalogue, so that the description of that particular rpm is no longer garbled.
Comment 20 errata-xmlrpc 2008-03-20 07:08:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0166.html

Note You need to log in before you can comment on or make changes to this bug.